#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, m, mini, maxi;
    cin >> n >> m;
    long long niz[n];;
    for(long long i = 0 ; i < n ; i++){
        cin >> niz[i];
    }
    mini = niz[0];
    maxi = niz[0];
    for(long long i = 0 ; i < n ; i++){
        if(niz[i] < mini) mini = niz[i];
        if(niz[i] > maxi) maxi = niz[i];
    }
    if(mini <= m && maxi <= m) cout << m - mini;
    else if(mini >= m && maxi >= m) cout << maxi - m;
    else if(m - mini >= maxi - m) cout << (maxi - m) * 2 + m - mini;
    else cout << (m - mini) * 2 +  maxi - m;
    return 0;
}